This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 697188 - Systemadm lacks menu entry
Systemadm lacks menu entry
Status: CLOSED DUPLICATE of bug 784457
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
AcceptedNTH
:
: 766272 (view as bug list)
Depends On:
Blocks: F15-accepted/F15FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2011-04-16 11:56 EDT by Christoph Wickert
Modified: 2012-02-27 09:22 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-27 09:22:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2011-04-16 11:56:36 EDT
Description of problem:
systemadm lacks an entry in the main menu. This is a violation of the packaging guidelines that state "If a package contains a GUI application, then it needs to also include a properly installed .desktop file. For the purposes of these guidelines, a GUI application is defined as any application which draws an X window and runs from within that window."

Version-Release number of selected component (if applicable):
systemd-gtk-24-1.fc15

Additional info:
It would be nice to have this fixed until F15 GA because I want to have systemadm replace system-config-services in the LXDE and Xfce Spins. As systemd is a new feature of F15, systemadm should be shown prominently in the menu.
Comment 1 Lennart Poettering 2011-04-19 15:13:46 EDT
I am not sure systemadm is good enough yet to show up in menus.
Comment 2 James Laska 2011-04-21 16:02:41 EDT
Discussed at 2011-04-21 blocker review meeting (http://meetbot.fedoraproject.org/fedora-bugzappers/2011-04-21/f15-blocker-review.2011-04-21-17.00.html) ...

AGREED: 697188 - AcceptedNTH - Will accept a tested fix if provided before release

Lennart:  Please note, that NTH (nice-to-have) means that a fix will be accepted through the freeze.  However, you can still choose not to do the change.  The lack of this fix will *not* block the release.
Comment 3 Christoph Wickert 2011-05-19 06:18:05 EDT
(In reply to comment #1)
> I am not sure systemadm is good enough yet to show up in menus.

I think it is, no need to be shy. We need a replacement for system-config-services. If we had this in our Spins, it would give systemd even more attention and show how awesome it is.

And this is not just a RFE because the current package violates the packaging guidelines:
"If a package contains a GUI application, then it needs to also include a properly installed .desktop file. For the purposes of these guidelines, a GUI application is defined as any application which draws an X window and runs from within that window."
https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files
Comment 4 Fedora Admin XMLRPC Client 2011-10-20 12:25:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Michal Schmidt 2011-12-13 20:59:24 EST
*** Bug 766272 has been marked as a duplicate of this bug. ***
Comment 6 Jóhann B. Guðmundsson 2012-02-27 06:36:26 EST
What's the current status on this?

Removing the RFE status this looks like a more genuine bug to me. 

Per comment 1 having people actually seeing systemadm might motivate someone to work on it and improve the situation that is if still not "presentable" to end users...
Comment 7 Michal Schmidt 2012-02-27 09:22:08 EST
We won't add the desktop entry to the current package, but we'll split systemadm into a separate package, where the missing *.desktop entry is currently a blocker for the review request.

*** This bug has been marked as a duplicate of bug 784457 ***

Note You need to log in before you can comment on or make changes to this bug.